Package org.drinkless.tdlib

# Class TdApi.LiveStoryDonors

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LiveStoryDonors

Enclosing class:
  `TdApi`

public static class TdApi.LiveStoryDonors extends TdApi.Object
Contains a list of users and chats that spend most money on paid messages and reactions in a live story.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.PaidReactor[]`
  `topDonors`
  List of top donors in the live story.
  `long`
  `totalStarCount`
  Total amount of spend Telegram Stars.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LiveStoryDonors()`
  Contains a list of users and chats that spend most money on paid messages and reactions in a live story.
  `LiveStoryDonors(long totalStarCount, TdApi.PaidReactor[] topDonors)`
  Contains a list of users and chats that spend most money on paid messages and reactions in a live story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalStarCount

    public long totalStarCount
    Total amount of spend Telegram Stars.

  - ### topDonors

    public TdApi.PaidReactor[] topDonors
    List of top donors in the live story.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LiveStoryDonors

    public LiveStoryDonors()
    Contains a list of users and chats that spend most money on paid messages and reactions in a live story.

  - ### LiveStoryDonors

    public LiveStoryDonors(long totalStarCount, TdApi.PaidReactor[] topDonors)
    Contains a list of users and chats that spend most money on paid messages and reactions in a live story.
    Parameters:
      `totalStarCount` - Total amount of spend Telegram Stars.
      `topDonors` - List of top donors in the live story.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR